Subject: Re: bug#52267: Acknowledgement (disk image installer for rock64 fails)

From: Florian Hoertlehner <[email-masked]>
Date: Wed, 8 Dec 2021 19:26:06 +0100

Do you know how I would do that? Do ai have to change th guix channel
Definition for that? Would this still allow me to roll back in case
something fails terribly? Or could it be that core-updates-frozen will
crash my Main machine all together? Man's thanks!

On Wed, Dec 8, 2021, 18:27 Maxime Devos <[email-masked]> wrote:

> Florian Hoertlehner schreef op wo 08-12-2021 om 14:56 [+0100]:
> > Installer build fails with cross compilation due to meson build
> > error.
>
> Do you mean an error message like the following:
>
> guix build: error: gnu/packages/glib.scm:425:2: [email-masked]: build
> system `meson' does not support cross builds
>
> If so, you could try on 'core-updates-frozen' instead of 'master',
> because on 'core-updates-frozen' meson supports cross-compilation (from
> what I've heard, core-updates-frozen is in a relatively decent though
> not perfect state).
>
> Greetings,
> Maxime
>
>